/* -*- c -*- *******************************************************/
/*
 * Copyright (C) 2003 Sandia Corporation
 * Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
 * license for use of this work by or on behalf of the U.S. Government.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that this Notice and any statement
 * of authorship are reproduced on all copies.
 */

/* Id */

#ifndef _ICET_CONFIG_H_
#define _ICET_CONFIG_H_

#ifndef WIN32
/* #undef WIN32 */
#endif

#define ICET_BUILD_SHARED_LIBS

#ifdef WIN32
#include <windows.h>
#endif

#if defined(WIN32) && defined(ICET_BUILD_SHARED_LIBS)
#  ifdef icet_EXPORTS
#    define ICET_EXPORT __declspec( dllexport )
#  else
#    define ICET_EXPORT __declspec( dllimport )
#  endif
#  ifdef icet_strategies_EXPORTS
#    define ICET_STRATEGY_EXPORT __declspec( dllexport )
#  else
#    define ICET_STRATEGY_EXPORT __declspec( dllimport )
#  endif
#  ifdef icet_mpi_EXPORTS
#    define ICET_MPI_EXPORT __declspec( dllexport )
#  else
#    define ICET_MPI_EXPORT __declspec( dllimport )
#  endif
#else /* WIN32 && SHARED_LIBS */
#  define ICET_EXPORT
#  define ICET_STRATEGY_EXPORT
#  define ICET_MPI_EXPORT
#endif /* WIN32 && SHARED_LIBS */

#define ICET_MAJOR_VERSION      1
#define ICET_MINOR_VERSION      0
#define ICET_PATCH_VERSION      0
#define ICET_VERSION            "1.0.0"

#define ICET_SIZEOF_CHAR           1
#define ICET_SIZEOF_SHORT          2
#define ICET_SIZEOF_INT            4
#define ICET_SIZEOF_LONG           4
#define ICET_SIZEOF_LONG_LONG      8
/* #undef ICET_SIZEOF___INT64 */
#define ICET_SIZEOF_FLOAT          4
#define ICET_SIZEOF_DOUBLE         8
#define ICET_SIZEOF_VOID_P         4

#if ICET_SIZEOF_INT == 4
typedef int IceTInt32;
typedef unsigned int IceTUnsignedInt32;
#elif ICET_SIZEOF_LONG == 4
typedef long IceTInt32;
typedef unsigned long IceTUnsignedInt32;
#elif ICET_SIZEOF_SHORT == 4
typedef short IceTInt32;
typedef unsigned short IceTUnsignedInt32;
#else
#error "No valid data type for 32 bit integers found."
#endif

#if ICET_SIZEOF_INT == 8
typedef int IceTInt64;
typedef unsigned int IceTUnsignedInt64;
#elif ICET_SIZEOF_LONG == 8
typedef long IceTInt64;
typedef unsigned long IceTUnsignedInt64;
#elif defined(ICET_SIZEOF_LONG_LONG) && (ICET_SIZEOF_LONG_LONG == 8)
typedef long long IceTInt64;
typedef unsigned long long IceTUnsignedInt64;
#elif defined(ICET_SIZEOF___INT64) && (ICET_SIZEOF___INT64 == 8)
typedef __int64 IceTInt64;
typedef unsigned __int64 IceTUnsignedInt64;
#else
#error "No valid data type for 64 bit integers found."
#endif

#if ICET_SIZEOF_VOID_P == 4
typedef IceTUnsignedInt32 IceTPointerArithmetic;
#elif ICET_SIZEOF_VOID_P == 8
typedef IceTUnsignedInt64 IceTPointerArithmetic;
#else
#error "Unexpected pointer size."
#endif

#endif /*_ICET_CONFIG_H_*/
