#-----------------------------------------------------------------------------
#
# KWCommonConfig.cmake - CMake configuration file for external projects.
#
# This file is configured by KWCommon and used by the UseKWCommon.cmake
# module to load KWCommon's settings for an external project.

# Compute the installation prefix from KWCommon_DIR.
SET(KWCommon_INSTALL_PREFIX "${KWCommon_DIR}")
GET_FILENAME_COMPONENT(KWCommon_INSTALL_PREFIX "${KWCommon_INSTALL_PREFIX}" PATH)
GET_FILENAME_COMPONENT(KWCommon_INSTALL_PREFIX "${KWCommon_INSTALL_PREFIX}" PATH)

# The KWCommon version number.
SET(KWCommon_MAJOR_VERSION "1")
SET(KWCommon_MINOR_VERSION "0")

# The libraries.
SET(KWCommon_LIBRARIES "KWCommon")

# The CMake macros dir.
SET(KWCommon_CMAKE_DIR "${KWCommon_INSTALL_PREFIX}//lib/paraview/CMake")

# The configuration options.
SET(KWCommon_BUILD_SHARED_LIBS "ON")
SET(KWCommon_BUILD_TESTING "ON")

# The C and C++ flags added to the cmake-configured flags.
SET(KWCommon_REQUIRED_C_FLAGS
  "")
SET(KWCommon_REQUIRED_CXX_FLAGS
  "")
SET(KWCommon_REQUIRED_EXE_LINKER_FLAGS
  "")
SET(KWCommon_REQUIRED_SHARED_LINKER_FLAGS
  "")
SET(KWCommon_REQUIRED_MODULE_LINKER_FLAGS
  "")

# The "use" file.
SET(KWCommon_USE_FILE "${KWCommon_INSTALL_PREFIX}//lib/paraview/UseKWCommon.cmake")

# The build settings file.
SET(KWCommon_BUILD_SETTINGS_FILE "${KWCommon_INSTALL_PREFIX}//lib/paraview/KWCommonBuildSettings.cmake")

# The library directories.
SET(KWCommon_LIBRARY_DIRS "${KWCommon_INSTALL_PREFIX}//lib/paraview")

# The runtime directories.
# Note that if KWCommon_CONFIGURATION_TYPES is set (see below) then
# these directories will be the parent directories under which there will
# be a directory of runtime binaries for each configuration type.
SET(KWCommon_RUNTIME_DIRS "${KWCommon_INSTALL_PREFIX}//lib/paraview")

# The include directories.
SET(KWCommon_INCLUDE_DIRS "${KWCommon_INSTALL_PREFIX}//include/paraview")

# The library dependencies file.
IF(NOT KWCommon_NO_LIBRARY_DEPENDS AND 
    EXISTS "${KWCommon_INSTALL_PREFIX}//lib/paraview/KWCommonLibraryDepends.cmake")
  INCLUDE("${KWCommon_INSTALL_PREFIX}//lib/paraview/KWCommonLibraryDepends.cmake")
ENDIF(NOT KWCommon_NO_LIBRARY_DEPENDS AND 
  EXISTS "${KWCommon_INSTALL_PREFIX}//lib/paraview/KWCommonLibraryDepends.cmake")

# The VTK options.
SET(KWCommon_VTK_DIR "//lib/paraview")

# An install tree always provides one build configuration.
# A build tree may provide either one or multiple build
# configurations depending on the CMake generator used. Since
# this project can be used either from a build tree or an install tree it
# is useful for outside projects to know the configurations available.
# If this KWCommonConfig.cmake is in an install tree
# KWCommon_CONFIGURATION_TYPES will be empty and KWCommon_BUILD_TYPE
# will be set to the value of CMAKE_BUILD_TYPE used to build
# KWCommon. If KWCommonConfig.cmake is in a build tree
# then KWCommon_CONFIGURATION_TYPES and KWCommon_BUILD_TYPE will
# have values matching CMAKE_CONFIGURATION_TYPES and CMAKE_BUILD_TYPE
# for that build tree (only one will ever be set).
SET(KWCommon_CONFIGURATION_TYPES )
SET(KWCommon_BUILD_TYPE Release)

